# MikroTik RouterOS CHR configuration script for RB2011LS-IN
# Written by Zachary Duncan
# Date: 2025-06-04
# Description: Configuration for CHR Routers in GNS3 to simulate a RB2011LS-IN
# Instructions: Import this script into your MikroTik CHR instance to set up the interfaces to be named as per the RB2011LS-IN model.
#   If you are using an script to further automate the configuration, such as an exported config file, please adjust the script to remove `default-name=` checks.
#   and replace them with just `name=` to avoid issues with the default names being used in the script.
/interface ethernet
set [ find default-name=ether1 ] disable-running-check=no name=sfp-sfpplus1
set [ find default-name=ether2 ] disable-running-check=no name=sfp-sfpplus2
set [ find default-name=ether3 ] disable-running-check=no name=sfp-sfpplus3
set [ find default-name=ether4 ] disable-running-check=no name=sfp-sfpplus4
set [ find default-name=ether5 ] disable-running-check=no name=sfp-sfpplus5
set [ find default-name=ether6 ] disable-running-check=no name=sfp-sfpplus6
set [ find default-name=ether7 ] disable-running-check=no name=sfp-sfpplus7
set [ find default-name=ether8 ] disable-running-check=no name=sfp-sfpplus8
set [ find default-name=ether9 ] disable-running-check=no name=sfp1
/port set 0 name=serial0
/system note set show-at-login=no
/system identity set name=GNS-RB2011LS-IN
/tool romon set enabled=yes